RadialGradientfinal
ThorVG

A class representing the radial gradient fill of the Shape object. More...

Inheritance diagram for RadialGradient:
[legend]

## Public Member Functions

Result | radial (float cx, float cy, float radius) noexcept
| Sets the radial gradient bounds. More...
Result | radial (float *cx, float *cy, float *radius) const noexcept
| Gets the radial gradient bounds. More...
Public Member Functions inherited from Fill
Result | colorStops (const ColorStop *colorStops, uint32_t cnt) noexcept
| Sets the parameters of the colors of the gradient and their position. More...
Result | spread (FillSpread s) noexcept
| Sets the FillSpread value, which specifies how to fill the area outside the gradient bounds. More...
uint32_t | colorStops (const ColorStop **colorStops) const noexcept
| Gets the parameters of the colors of the gradient, their position and number. More...
FillSpread | spread () const noexcept
| Gets the FillSpread value of the fill. More...
Fill * | duplicate () const noexcept
| Creates a copy of the Fill object. More...

## Static Public Member Functions

static std::unique_ptr< RadialGradient > | gen () noexcept
| Creates a new RadialGradient object. More...

## Detailed Description

A class representing the radial gradient fill of the Shape object.

## Member Function Documentation

## gen()

static std::unique_ptr<RadialGradient> gen | ( |  | ) |

staticnoexcept

Creates a new RadialGradient object.

Returns
  A new RadialGradient object.

## radial() [1/2]

Result radial | ( | float | cx,
|  | float | cy,
|  | float | radius
| ) |  |

noexcept

Sets the radial gradient bounds.

The radial gradient bounds are defined as a circle centered in a given point (`cx`, `cy`) of a given radius.

Parameters

  [in] | cx | The horizontal coordinate of the center of the bounding circle.
  [in] | cy | The vertical coordinate of the center of the bounding circle.
  [in] | radius | The radius of the bounding circle.

Returns
  Result::Success when succeed, Result::InvalidArguments otherwise.

## radial() [2/2]

Result radial | ( | float * | cx,
|  | float * | cy,
|  | float * | radius
| ) |  | const

noexcept

Gets the radial gradient bounds.

The radial gradient bounds are defined as a circle centered in a given point (`cx`, `cy`) of a given radius.

Parameters

  [out] | cx | The horizontal coordinate of the center of the bounding circle.
  [out] | cy | The vertical coordinate of the center of the bounding circle.
  [out] | radius | The radius of the bounding circle.

Returns
  Result::Success when succeed.